Mercado Libre
Mercado Libre: Category Products
Category Products from Mercado Libre. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
mercadolibre
/
category-products
Category Products
curl --request GET \
--url https://api.perceptlayer.com/v1/mercadolibre/category-products \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/mercadolibre/category-products"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/mercadolibre/category-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/mercadolibre/category-products';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/mercadolibre/category-products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/mercadolibre/category-products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/mercadolibre/category-products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/mercadolibre/category-products")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "mercadolibre.category-products",
"params": {
"site": "MLA",
"category_id": "MLA1574"
},
"response": {
"success": true,
"data": {
"site": "MLA",
"category_id": "MLA1574",
"products": [
{
"position": 1,
"tab": "affiliate-profile-best-sellers",
"item_id": "MLA1829410667",
"user_product_id": "MLAU4075852766",
"category_id": "MLA1586",
"url": "https://www.mercadolibre.com.ar/barra-luz-led-50cm-recargable-sensor-mov-bajo-alacena-cocina/up/MLAU4075852766",
"title": "Barra Luz Led 50cm Recargable Sensor Mov Bajo Alacena Cocina Calid",
"brand": "HELITEC",
"official_store": false,
"highlight": "MÁS VENDIDO",
"price": 9208,
"previous_price": 10963,
"currency": "ARS",
"discount_label": "16% OFF",
"shipping_text": "Envío gratis",
"shipping_promise_type": "none",
"shipping_note": "por ser tu primera compra",
"fulfilled_by_mercado_libre": true,
"picture_id": "870837-MLA111869918576_062026",
"image_url": "https://http2.mlstatic.com/D_NQ_NP_2X_870837-MLA111869918576_062026-V.jpg"
},
{
"position": 2,
"tab": "affiliate-profile-best-sellers",
"item_id": "MLA1550818153",
"product_id": "MLA43779215",
"user_product_id": "MLAU1707297034",
"category_id": "MLA5959",
"url": "https://www.mercadolibre.com.ar/camara-seguridad-geotek-3mp-ip-wifi-exterior-full-hd-domo-vision-nocturna-inteligente-deteccion-movimiento/p/MLA43779215",
"title": "Camara Seguridad Geotek 3mp Ip Wifi Exterior Full Hd Domo Vision Nocturna Inteligente Deteccion Movimiento",
"brand": "GEOTEK",
"seller": "Por GEOTEK",
"official_store": true,
"highlight": "MÁS VENDIDO",
"price": 46567,
"previous_price": 74999,
"currency": "ARS",
"discount_label": "37% OFF",
"shipping_text": "Envío gratis",
"shipping_promise_type": "none",
"shipping_note": "por ser tu primera compra",
"fulfilled_by_mercado_libre": true,
"picture_id": "816524-MLA106798206326_022026",
"image_url": "https://http2.mlstatic.com/D_NQ_NP_2X_816524-MLA106798206326_022026-V.jpg"
},
{
"position": 3,
"tab": "affiliate-profile-best-sellers",
"item_id": "MLA3446092792",
"product_id": "MLA73036159",
"user_product_id": "MLAU3055711731",
"category_id": "MLA7969",
"url": "https://www.mercadolibre.com.ar/combo-x4-almohadas-viscoelastica-inteligentes-60x35-azul-color-blanco/p/MLA73036159",
"title": "Combo X4 Almohadas Viscoelástica Inteligentes 60x35 Azul Color Blanco",
"brand": "BETWEEN PILLOWS",
"seller": "Por BETWEEN PILLOWS",
"official_store": true,
"highlight": "MÁS VENDIDO",
"price": 79186,
"previous_price": 108795,
"currency": "ARS",
"discount_label": "27% OFF",
"shipping_text": "Envío gratis",
"shipping_promise_type": "none",
"shipping_note": "por ser tu primera compra",
"fulfilled_by_mercado_libre": false,
"picture_id": "681030-MLA111874536158_062026",
"image_url": "https://http2.mlstatic.com/D_NQ_NP_2X_681030-MLA111874536158_062026-V.jpg"
}
],
"total": 33,
"source_tabs": [
{
"id": "affiliate-profile-best-sellers",
"title": "Más vendidos",
"count": 18
},
{
"id": "affiliate-profile-offers",
"title": "Ofertas",
"count": 15
}
]
},
"meta": {
"endpoint_family": "category_products",
"billable": true,
"duration_ms": 764
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Mercado Libre API overview for every Mercado Libre endpoint.
Authorizations
Query Parameters
Available options:
MLA, MLB, MLM, MLC, MCO, MPE, MLU, MEC, MLV Was this page helpful?
⌘I
Category Products
curl --request GET \
--url https://api.perceptlayer.com/v1/mercadolibre/category-products \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/mercadolibre/category-products"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/mercadolibre/category-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/mercadolibre/category-products';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/mercadolibre/category-products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/mercadolibre/category-products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/mercadolibre/category-products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/mercadolibre/category-products")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "mercadolibre.category-products",
"params": {
"site": "MLA",
"category_id": "MLA1574"
},
"response": {
"success": true,
"data": {
"site": "MLA",
"category_id": "MLA1574",
"products": [
{
"position": 1,
"tab": "affiliate-profile-best-sellers",
"item_id": "MLA1829410667",
"user_product_id": "MLAU4075852766",
"category_id": "MLA1586",
"url": "https://www.mercadolibre.com.ar/barra-luz-led-50cm-recargable-sensor-mov-bajo-alacena-cocina/up/MLAU4075852766",
"title": "Barra Luz Led 50cm Recargable Sensor Mov Bajo Alacena Cocina Calid",
"brand": "HELITEC",
"official_store": false,
"highlight": "MÁS VENDIDO",
"price": 9208,
"previous_price": 10963,
"currency": "ARS",
"discount_label": "16% OFF",
"shipping_text": "Envío gratis",
"shipping_promise_type": "none",
"shipping_note": "por ser tu primera compra",
"fulfilled_by_mercado_libre": true,
"picture_id": "870837-MLA111869918576_062026",
"image_url": "https://http2.mlstatic.com/D_NQ_NP_2X_870837-MLA111869918576_062026-V.jpg"
},
{
"position": 2,
"tab": "affiliate-profile-best-sellers",
"item_id": "MLA1550818153",
"product_id": "MLA43779215",
"user_product_id": "MLAU1707297034",
"category_id": "MLA5959",
"url": "https://www.mercadolibre.com.ar/camara-seguridad-geotek-3mp-ip-wifi-exterior-full-hd-domo-vision-nocturna-inteligente-deteccion-movimiento/p/MLA43779215",
"title": "Camara Seguridad Geotek 3mp Ip Wifi Exterior Full Hd Domo Vision Nocturna Inteligente Deteccion Movimiento",
"brand": "GEOTEK",
"seller": "Por GEOTEK",
"official_store": true,
"highlight": "MÁS VENDIDO",
"price": 46567,
"previous_price": 74999,
"currency": "ARS",
"discount_label": "37% OFF",
"shipping_text": "Envío gratis",
"shipping_promise_type": "none",
"shipping_note": "por ser tu primera compra",
"fulfilled_by_mercado_libre": true,
"picture_id": "816524-MLA106798206326_022026",
"image_url": "https://http2.mlstatic.com/D_NQ_NP_2X_816524-MLA106798206326_022026-V.jpg"
},
{
"position": 3,
"tab": "affiliate-profile-best-sellers",
"item_id": "MLA3446092792",
"product_id": "MLA73036159",
"user_product_id": "MLAU3055711731",
"category_id": "MLA7969",
"url": "https://www.mercadolibre.com.ar/combo-x4-almohadas-viscoelastica-inteligentes-60x35-azul-color-blanco/p/MLA73036159",
"title": "Combo X4 Almohadas Viscoelástica Inteligentes 60x35 Azul Color Blanco",
"brand": "BETWEEN PILLOWS",
"seller": "Por BETWEEN PILLOWS",
"official_store": true,
"highlight": "MÁS VENDIDO",
"price": 79186,
"previous_price": 108795,
"currency": "ARS",
"discount_label": "27% OFF",
"shipping_text": "Envío gratis",
"shipping_promise_type": "none",
"shipping_note": "por ser tu primera compra",
"fulfilled_by_mercado_libre": false,
"picture_id": "681030-MLA111874536158_062026",
"image_url": "https://http2.mlstatic.com/D_NQ_NP_2X_681030-MLA111874536158_062026-V.jpg"
}
],
"total": 33,
"source_tabs": [
{
"id": "affiliate-profile-best-sellers",
"title": "Más vendidos",
"count": 18
},
{
"id": "affiliate-profile-offers",
"title": "Ofertas",
"count": 15
}
]
},
"meta": {
"endpoint_family": "category_products",
"billable": true,
"duration_ms": 764
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}